import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useMemo } from 'react';
import TreeFileIcon from './FileIcon';
import { useTreeContext } from './TreeContext';
import TreeIndents from './TreeIndents';
import { makeChildPath, stopPropagation } from '../helpers';
import { buildClassName } from '../presets';
const defaultProps = {
    level: 0,
    className: '',
    parentPath: '',
};
const TreeFile = ({ name, parentPath, level, extra, className, parentExpanded, ...props }) => {
    const { onFileClick } = useTreeContext();
    const currentPath = useMemo(() => makeChildPath(name, parentPath), []);
    const clickHandler = (event) => {
        stopPropagation(event);
        onFileClick && onFileClick(currentPath);
    };
    return (_jsx("div", { className: buildClassName('file'), onClick: clickHandler, ...props, children: _jsxs("div", { className: buildClassName('file-names'), style: {
                marginLeft: `calc(1.875rem * ${level})`,
            }, children: [_jsx(TreeIndents, { count: level }), _jsx("span", { className: buildClassName('file-icon'), children: _jsx(TreeFileIcon, {}) }), _jsxs("span", { className: buildClassName('file-name'), children: [name, extra && (_jsx("span", { className: buildClassName('file-extra'), children: extra }))] })] }) }));
};
TreeFile.defaultProps = defaultProps;
TreeFile.displayName = 'GeistTreeFile';
export default TreeFile;
